﻿using System;

namespace Hitsuji.Framework.Date
{
    public class HDateUtil
    {
        public static int getDateCount(int year, int month)
        {
           
            try
            {
                if (month == 4  ||
                    month == 6  ||
                    month == 9  ||
                    month == 11   )
                {
                    return 30;
                }
                else if (month == 2)
                {
                    int uruResult = 0;
                    //式
                    Action<int, int, int> uruCalc
                        = delegate(int y, int val, int resultValueAsZero)
                        {
                            int amari = y % val;
                            if (amari == 0) { uruResult = uruResult + resultValueAsZero; }
                        };
                    //計算
                    uruCalc(year, 4  , +1);
                    uruCalc(year, 100, -1);
                    uruCalc(year, 400, +1);
                    //結果
                    if (uruResult > 0)
                    {
                        //うるう年
                        return 29;
                    }
                    else
                    {
                        return 28;
                    }
                }
                else
                {
                    return 31;
                }
            }
            catch (Exception ex)
            {
                Console.Write(ex.ToString());
                throw ex;
            }
        }

    }
}
