﻿using System.Collections.Generic;
using System.Windows.Controls;
using Hitsuji.Framework.Models;

namespace Hitsuji.Nengajou.Models.Contents
{
    public class IllustLayoutInfoContentModel : CommandBindableModel, IContentModel
    {


        private string Id_;
        public string Id
        {
            get { return Id_; }
            set 
            {
                Id_ = value;
                base.OnPropertyChanged("Id");
            }
        }

        private string LayoutYear_;
        public string LayoutYear
        {
            get { return LayoutYear_; }
            set 
            { 
                LayoutYear_ = value;
                base.OnPropertyChanged("LayoutYear");
            }
        }
        private string LayoutName_;
        public string LayoutName
        {
            get { return LayoutName_; }
            set
            {
                LayoutName_ = value;
                base.OnPropertyChanged("LayoutName");
            }
        }

        public Dictionary<string, Label> LabelDictionary
        {
            get;
            set;
        }

        public Dictionary<string, Image> IllustDictionary
        {
            get;
            set;
        }

        public Label SelectedLabel
        {
            get;
            set;
        }

        public Image SelectedIllust
        {
            get;
            set;
        }

        #region ui

        private bool Illust1_;
        public bool Illust1
        {
            get { return Illust1_; }
            set
            { 
                Illust1_ = value;
                base.OnPropertyChanged("Illust1");
            }
        }
        private bool Illust2_;
        public bool Illust2
        {
            get { return Illust2_; }
            set
            {
                Illust2_ = value;
                base.OnPropertyChanged("Illust2");
            }
        }
        private bool Illust3_;
        public bool Illust3
        {
            get { return Illust3_; }
            set
            {
                Illust3_ = value;
                base.OnPropertyChanged("Illust3");
            }
        }

        private string Illust1Path_;
        public string Illust1Path
        {
            get { return Illust1Path_; }
            set
            {
                Illust1Path_ = value;
                base.OnPropertyChanged("Illust1Path");
            }
        }
        private string Illust2Path_;
        public string Illust2Path
        {
            get { return Illust2Path_; }
            set
            {
                Illust2Path_ = value;
                base.OnPropertyChanged("Illust2Path");
            }
        }
        private string Illust3Path_;
        public string Illust3Path
        {
            get { return Illust3Path_; }
            set
            {
                Illust3Path_ = value;
                base.OnPropertyChanged("Illust3Path");
            }
        }

        private bool MultiLabel1_;
        public bool MultiLabel1
        {
            get { return MultiLabel1_; }
            set
            { 
                MultiLabel1_ = value;
                base.OnPropertyChanged("MultiLabel1");
            }
        }
        private bool MultiLabel2_;
        public bool MultiLabel2
        {
            get { return MultiLabel2_; }
            set
            {
                MultiLabel2_ = value;
                base.OnPropertyChanged("MultiLabel2");
            }
        }
        private bool MultiLabel3_;
        public bool MultiLabel3
        {
            get { return MultiLabel3_; }
            set
            {
                MultiLabel3_ = value;
                base.OnPropertyChanged("MultiLabel3");
            }
        }
        private bool MultiLabel4_;
        public bool MultiLabel4
        {
            get { return MultiLabel4_; }
            set
            {
                MultiLabel4_ = value;
                base.OnPropertyChanged("MultiLabel4");
            }
        }

        #endregion ui
    }
}
