﻿using System;
using System.Collections.Generic;
using Hitsuji.Framework.ObserverPattern.Observers;
using Hitsuji.Framework.ObserverPattern.Subjects;
using Hitsuji.Framework.ViewModels;
using Hitsuji.Nengajou.ViewModels;
using Hitsuji.Nengajou.Views;

namespace Hitsuji.Nengajou.ObserverPattern.Observers
{
    public class ReflectUIGroupInputViewObserver : IObserver, IReflectUIObserver
    {
        #region IObserver メンバ

        public void doMyRole(ASubject ASubject)
        {
            try
            {
                var vmDictionary = ViewModelManager.getInstance();
                PrimaryAreaBaseViewModel primaryAreaBaseVM = vmDictionary["PrimaryAreaBaseViewModel"] as PrimaryAreaBaseViewModel;
                PrimaryAreaBaseView primaryAreaBaseV = (PrimaryAreaBaseView)primaryAreaBaseVM.View;

                AViewModel groupInputVM = vmDictionary["GroupinputViewModel"];
                primaryAreaBaseVM.clearStackPanelItems();
                primaryAreaBaseV.stackPanel1.Children.Add(groupInputVM.View);
            }
            catch (Exception ex)
            {
                Console.WriteLine(ex.ToString());
            }
        }

        #endregion

        #region IReflectUIObserver メンバ

        public void setRefViewModel(AViewModel vm)
        {
            throw new NotImplementedException();
        }

        public void reflectUi(List<Action> dispatchActionList)
        {
            throw new NotImplementedException();
        }

        #endregion
    }
}
