﻿using System;
using System.Collections.Generic;
using Hitsuji.Framework.ObserverPattern.Subjects;
using Hitsuji.Framework.ViewModels;
using Hitsuji.Nengajou.Models.Contents;

namespace Hitsuji.Nengajou.ObserverPattern.Subjects
{
    public class Subject : ASubject
    {

        #region ▼プロパティ

        //モデルリスト
        private Dictionary<String, IContentModel> modelList_ = new Dictionary<String, IContentModel>();
        public Dictionary<String, IContentModel> models
        {
            get { return modelList_; }
            set { modelList_ = value; }
        }

        //ビューモデルリスト
        private Dictionary<String, AViewModel> viewModelList_ = new Dictionary<String, AViewModel>();
        public Dictionary<String, AViewModel> viewModels
        {
            get { return viewModelList_; }
            set { viewModelList_ = value; }
        }

        #endregion ▲プロパティ

        public override void doMyRole()
        {
            throw new Exception("doMyRole in subject !");
        }
        
    }
}
