﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Hitsuji.Nengajou.ViewModels;

namespace Hitsuji.Nengajou.Views
{
    /// <summary>
    /// CreatePrintLayoutView.xaml の相互作用ロジック
    /// </summary>
    public partial class CreatePrintLayoutView : UserControl
    {
        public CreatePrintLayoutView()
        {
            InitializeComponent();
            this.DataContext = new CreatePrintLayoutViewModel();
        }

        private void buttonReseiverLayoutForPrint_Click(object sender, RoutedEventArgs e)
        {
            (this.DataContext as CreatePrintLayoutViewModel).onReseiverLayoutForPrintButtonClicked();
        }

        private void buttonIllustLayoutForPrint_Click(object sender, RoutedEventArgs e)
        {
            (this.DataContext as CreatePrintLayoutViewModel).onIllustLayoutForPrintButtonClicked();
        }

    }
}
