﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Hitsuji.Nengajou.ViewModels;

namespace Hitsuji.Nengajou.Views
{
    /// <summary>
    /// MainMenuView.xaml の相互作用ロジック
    /// </summary>
    public partial class MainMenuView : UserControl
    {
        public MainMenuView()
        {
            InitializeComponent();
        }

        //宛名レイアウト
        private void menuItemReseiverLayout_Click(object sender, RoutedEventArgs e)
        {
            (DataContext as MainMenuViewModel).setMenuItemsBackgroundBrush(sender as MenuItem);
            (DataContext as MainMenuViewModel).onReseiverLayoutMenuClicked();
        }

        //イラストレイアウト
        private void menuItemIllustLayout_Click(object sender, RoutedEventArgs e)
        {
            (DataContext as MainMenuViewModel).setMenuItemsBackgroundBrush(sender as MenuItem);
            (DataContext as MainMenuViewModel).onIllustLayoutMenuClicked();
        }

        private void menuItemLayoutAssign_Click(object sender, RoutedEventArgs e)
        {
            (DataContext as MainMenuViewModel).setMenuItemsBackgroundBrush(sender as MenuItem);
            (DataContext as MainMenuViewModel).onLayoutAssignMenuClicked();
        }

        private void menuItemClock_Click(object sender, RoutedEventArgs e)
        {
            popupClock.PlacementTarget = menuItemClock;
            popupClock.IsOpen = !popupClock.IsOpen;
        }
    }
}
