﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Hitsuji.Nengajou.ViewModels;
using System.Windows.Controls.Primitives;
using Hitsuji.Nengajou.ObserverPattern.Observers;
using Hitsuji.Nengajou.ObserverPattern.Subjects;

namespace Hitsuji.Nengajou.Views
{
    /// <summary>
    /// OtherPersonalInputView.xaml の相互作用ロジック
    /// </summary>
    public partial class OtherPersonalInputView : UserControl
    {
        public OtherPersonalInputView()
        {
            InitializeComponent();

        }


        private void UserControl_Loaded(object sender, RoutedEventArgs e)
        {
            (this.DataContext as OtherPersonalInputViewModel).initView();
        }

        //ポップアップ　グループ
        private void buttonGroup_Click(object sender, RoutedEventArgs e)
        {
            (this.DataContext as OtherPersonalInputViewModel).onGroupPopUpButtonClicked(sender, e);
        }
        private void listBoxGroupPopUp_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            (this.DataContext as OtherPersonalInputViewModel).onGroupSelectionItemChanged(sender, e);
        }

        //NPF
        private void buttonNamePostFix1_Click(object sender, RoutedEventArgs e)
        {
            (this.DataContext as OtherPersonalInputViewModel).onNPFPopUpButtonClicked(sender, e, textBoxNamePostFix1);
        }
        private void buttonNamePostFix2_Click(object sender, RoutedEventArgs e)
        {
            (this.DataContext as OtherPersonalInputViewModel).onNPFPopUpButtonClicked(sender, e, textBoxNamePostFix2);
        }
        private void buttonNamePostFix3_Click(object sender, RoutedEventArgs e)
        {
            (this.DataContext as OtherPersonalInputViewModel).onNPFPopUpButtonClicked(sender, e, textBoxNamePostFix3);
        }
        private void buttonNamePostFix4_Click(object sender, RoutedEventArgs e)
        {
            (this.DataContext as OtherPersonalInputViewModel).onNPFPopUpButtonClicked(sender, e, textBoxNamePostFix4);
        }
        private void listBoxNPFInnerPopup_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            (this.DataContext as OtherPersonalInputViewModel).onNPFSelectionItemChanged(sender, e);
        }

        //送付者割り当て
        private void buttonSenderInfoAssign_Click(object sender, RoutedEventArgs e)
        {
            (this.DataContext as OtherPersonalInputViewModel).onSenderPopUpButtonClicked(sender, e);
        }
        private void listBoxSenderInnerPopup_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            (this.DataContext as OtherPersonalInputViewModel).onSenderSelectionItemChanged(sender, e);
        }

        //宛名レイアウト
        private void buttonReseiverLayout_Click(object sender, RoutedEventArgs e)
        {
            (this.DataContext as OtherPersonalInputViewModel).onReseiverLayoutPopUpButtonClicked(sender, e);
        }
        private void listBoxReseiverLayoutInnerPopup_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            (this.DataContext as OtherPersonalInputViewModel).onReseiverLayoutSelectionItemChanged(sender, e);
        }

    }
}
