﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Hitsuji.Nengajou.ViewModels;
using Hitsuji.Framework.ViewModels;

namespace Hitsuji.Nengajou.Views
{
    /// <summary>
    /// PrimaryMenuView.xaml の相互作用ロジック
    /// </summary>
    public partial class PrimaryMenuView : UserControl
    {
        public PrimaryMenuView()
        {
            InitializeComponent();
        }

        
        //My情報
        private void itemMyPersonalInfo_Click(object sender, RoutedEventArgs e)
        {
            (this.DataContext as PrimaryMenuViewModel).setMenuItemsBackgroundBrush(sender as MenuItem);
            (this.DataContext as PrimaryMenuViewModel).onMyPersonalInfoMenuClicked();
        }

        //他者情報
        private void itemOtherPersonalInfo_Click(object sender, RoutedEventArgs e)
        {
            (this.DataContext as PrimaryMenuViewModel).setMenuItemsBackgroundBrush(sender as MenuItem);
            (this.DataContext as PrimaryMenuViewModel).onOtherPersonalMenuClicked();
        }

        //年
        private void itemYearInfo_Click(object sender, RoutedEventArgs e)
        {
            (this.DataContext as PrimaryMenuViewModel).setMenuItemsBackgroundBrush(sender as MenuItem);
            (this.DataContext as PrimaryMenuViewModel).onYearMenuClicked();
        }

        //グループ
        private void itemGroupInfo_Click(object sender, RoutedEventArgs e)
        {
            (this.DataContext as PrimaryMenuViewModel).setMenuItemsBackgroundBrush(sender as MenuItem);
            (this.DataContext as PrimaryMenuViewModel).onGroupMenuClicked();
        }

        //フォント家
        private void itemFontFamilyInfo_Click(object sender, RoutedEventArgs e)
        {
            (this.DataContext as PrimaryMenuViewModel).setMenuItemsBackgroundBrush(sender as MenuItem);
            (this.DataContext as PrimaryMenuViewModel).onFontFamilyMenuClicked();
        }

        ////〒
        //private void itemPostInfo_Click(object sender, RoutedEventArgs e)
        //{
        //    (this.DataContext as PrimaryMenuViewModel).setMenuItemsBackgroundBrush(sender as MenuItem);
        //    (this.DataContext as PrimaryMenuViewModel).onPostMenuClicked();
        //}

    }
}
